#include "../include/fb.h"

void kernel_main() {
    // Clear the screen
    fb_clear();

    // Print messages using the framebuffer API
    fb_print("Welcome to Tiny OS", 0, 0);  // First row
    fb_print("Framebuffer driver is working!", 1, 0);  // Second row

    // Move the cursor to the third row
    fb_move(2, 0);

    // Halt the CPU
    while (1) {}
}
